import 'package:fis_jsonrpc/rpc.dart';

import 'base.dart';

abstract class IDiagnosisManager implements IManager {
  /// 创建健康检测 【单个的 弃用】
  Future<String> createDiagnosisAsync(CreateDiagnosisRequest createDiagnosis);

  ///获取健康检测记录
  Future<List<DiagnosisAggregationRecord>?> getDiagnosisAggregationPageAsync(
      String patientCode);

  Future<bool> submitDiagnosisAsync(SubmitDiagnosisRequest request);
}
